#include <driver/rmt.h>
class IRBlaster
{
    public:
        IRBlaster(uint8_t pin, rmt_channel_t channel);
        IRBlaster(uint8_t pin);
        /***
         * @brief Send an array of IR codes
         * 
         * @param data Array of IR codes, each code is a 16 bit integer representing the number of 10us ticks
         * @param size Size of the array
        */
        void send(uint16_t *data, size_t size);
    private:
        rmt_channel_t channel;
};